| Home | Libraries | People | FAQ | More

## Function template get_default_indeterminate_name

boost::logic::get_default_indeterminate_name — Returns a string containing the default name for the indeterminate value of a tribool with the given character type T.

## Synopsis

    template<typename T> std::basic_string< T > get_default_indeterminate_name();

## Description

This routine is used by the input and output streaming operators for tribool when there is no locale support or the stream's locale does not contain the indeterminate_name facet.

| Copyright © 2002-2004 Douglas Gregor